Download a product's audit timeline as an Excel file.
1 min
GET
https://api.upstartcommerce.com/pim/audit-logs/pdp/export
Query Parameters
- entitystringrequiredDescriptionAllowedPRODUCT
- entityIdstringrequiredDescription
Header Parameters
- x-upstart-tenantstringrequiredDescriptionMin Length1
- x-upstart-sitestringrequiredDescriptionMin Length1
Responses
200
400
- ValidationErrorResponse.json
401
- ErrorResponse.json
403
- ErrorResponse.json
404
- ErrorResponse.json
default
- ErrorResponse.json
curl
curl --request GET \
--url 'https://api.upstartcommerce.com/pim/audit-logs/pdp/export?entity=PRODUCT&entityId=string' \
--header 'accept: application/file' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/file");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
myHeaders.append("x-upstart-site", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/pim/audit-logs/pdp/export?entity=PRODUCT&entityId=string", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/pim/audit-logs/pdp/export?entity=PRODUCT&entityId=string")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/file"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
request["x-upstart-site"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/pim/audit-logs/pdp/export?entity=PRODUCT&entityId=string"
payload = {}
headers = {
'accept': 'application/file',
'content-type': 'application/json',
'x-upstart-tenant': 'string',
'x-upstart-site': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful file download
400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{}401
// The provided credentials were not valid for this endpoint.
{}403
// User's roles are insufficient for this endpoint.
{}404
// The requested resource was not found in the NoChannel system.
{}default
// This is the default internal server error. System was not able to process this request.
{}